import { Module } from '@secundant/webpack-config';
import { Configuration } from 'webpack';
import { IBabelOptions } from '@secundant/webpack-module-babel';
export interface ITypeScriptOptions {
    updateBabel?: boolean;
    babel?: IBabelOptions;
    ts?: any;
}
export declare class TypeScript extends Module<ITypeScriptOptions> {
    static key: string;
    static defaultOptions: ITypeScriptOptions;
    private babel?;
    private getBabelLoader();
    protected extract(): Configuration;
}
